-- ============================================================= --
-- NO FIELD FLIPPING MOD
-- ============================================================= --
NoFieldFlipping = {};

addModEventListener(NoFieldFlipping);

function NoFieldFlipping.setLandOwnership(farmlandId, farmId)
	--RESET FIELD BEFORE A PURCHASE
	for _, farmLand in pairs(g_fieldManager.farmlandIdFieldMapping) do
		for fieldIndex, field in pairs(farmLand) do
			if field.farmland.id == farmId then
				if not field.farmland.isOwned then
					local fieldNumber = tostring(field.fieldId)
					local ground = "cultivator"
					local angle = "0"
					local layer = "0"
					local fertilizer = "0"
					local plowing = "1"
					local weed = "0"
					local lime = "1"
					g_fieldManager:consoleCommandSetFieldGround(fieldNumber, ground, angle, layer, fertilizer, plowing, weed, lime, "false", nil)
					--print("reset field")
				end
			end
		end
	end
end

function NoFieldFlipping:loadMap(name)
	self.initialized = false
end

function NoFieldFlipping:deleteMap()
end

function NoFieldFlipping:mouseEvent(posX, posY, isDown, isUp, button)
end

function NoFieldFlipping:keyEvent(unicode, sym, modifier, isDown)
end

function NoFieldFlipping:draw()
end

function NoFieldFlipping:update(dt)
	if not self.initialized then
		--DO THIS HERE SO IT HAPPENS AFTER MAP HAS LOADED
		if g_currentMission:getIsServer() then
			--ONLY SERVER NEEDS TO DO ANYTHING
			FarmlandManager.setLandOwnership = Utils.prependedFunction(FarmlandManager.setLandOwnership, NoFieldFlipping.setLandOwnership)
		end
		self.initialized = true
	end
end